HomeGuidesReference↗ Forage Dashboard
Log In
Reference

Retrieve a Custom Balance Check Session

Check EBT Card Balance

This endpoint does not return a customer's EBT Card balance. If you're looking for a customer's EBT Card balance, then send a GET to /api/payment_methods/{payment_method_ref}, and inspect the balance response field.

A GET request to /balance_sessions/ retrieves the properties of a Custom Balance Check Session.

Use this endpoint to inspect a Session's success_redirect_url and cancel_redirect_url values.

See these guides for additional information:

Path Params
string
required

A unique identifier for the Custom Balance Check Session, returned as the ref value in the response payload of the POST request that created the Session.

Headers
string
required

An OAuth 2.0 bearer token that validates the request. You can use either a short-lived session token if the request is coming from the front-end, or an authentication token for server-side requests. Pass the token in this header after the word Bearer and a whitespace, for example Bearer <api_key>.

string
required

A unique merchant ID that Forage provides during onboarding, as in 123ab45c67. The Merchant ID can be found in the Forage sandbox or production dashboard.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json